Bug 129411 - Fix shutdown script for www/tomcat6
Summary: Fix shutdown script for www/tomcat6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nemo Liu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-04 03:00 UTC by Jonathan Chen
Modified: 2009-07-29 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (383 bytes, patch)
2008-12-04 03:00 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2008-12-04 03:00:05 UTC
The rc.d script for www/tomcat6 does not perform stop requests.

How-To-Repeat: 
	# /usr/local/etc/rc.d/tomcat6 start
	# /usr/local/etc/rc.d/tomcat6 stop
	tomcat60 not running? (check /var/run/tomcat60.pid).
Comment 1 Edwin Groothuis freebsd_committer 2008-12-04 03:00:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemoliu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-12-08 06:52:29 UTC
Responsible Changed
From-To: nemoliu->freebsd-ports-bugs

Maintainer was reset.
Comment 3 Pav Lucistnik freebsd_committer 2008-12-12 13:13:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemoliu

Over to maintainer
Comment 4 dfilter service freebsd_committer 2009-07-29 14:33:32 UTC
ale         2009-07-29 13:33:19 UTC

  FreeBSD ports repository

  Modified files:
    www/tomcat6          Makefile distinfo pkg-descr pkg-plist 
    www/tomcat6/files    patch-conf__server.xml tomcat6.sh.in 
  Removed files:
    www/tomcat6/files    pkg-deinstall.in 
  Log:
  Update to 6.0.20 release:
  - fix rc.d script on shutdown
  - fix package creation
  - keep modified config files on deinstall
  - other small enhancements and bugfixes
  
  I'll take maintainership on September if nemoliu will not ping.
  
  PR:             ports/129411, ports/136727
  Submitted by:   Jonathan Chen <jonc@chen.org.nz>,
                  Mike Jakubik <mikej@rogers.com>
  Approved by:    maintainer timeout (months)
  
  Revision  Changes    Path
  1.51      +26 -46    ports/www/tomcat6/Makefile
  1.25      +3 -3      ports/www/tomcat6/distinfo
  1.3       +0 -9      ports/www/tomcat6/files/patch-conf__server.xml
  1.2       +0 -47     ports/www/tomcat6/files/pkg-deinstall.in (dead)
  1.3       +4 -4      ports/www/tomcat6/files/tomcat6.sh.in
  1.7       +2 -2      ports/www/tomcat6/pkg-descr
  1.26      +588 -666  ports/www/tomcat6/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Alex Dupre freebsd_committer 2009-07-29 14:34:04 UTC
State Changed
From-To: open->closed

Committed, thanks.